
BugradAni = {};

function BugradAni.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function BugradAni:load(xmlFile)

	self.moveableSupport = {};
	self.moveableSupport.index = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.moveableSupport#index"));
	self.moveableSupport.max = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.moveableSupport#maxY"), 0); 
	self.moveableSupport.min = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.moveableSupport#minY"), 0); 
	
end;

function BugradAni:delete()
end;

function BugradAni:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BugradAni:keyEvent(unicode, sym, modifier, isDown)

end;

function BugradAni:update(dt)

	if self.moveableSupport ~= nil then
		local xAttacher, yAttacher, zAttacher = getTranslation(self.moveableSupport.index);
		local maxY = self.moveableSupport.max;
		local minY = self.moveableSupport.min;
		local moveSpeed = 0.0004;
			if InputBinding.isPressed(InputBinding.Support_UP) then
				if yAttacher < maxY then
					yAttacher = yAttacher + moveSpeed;
				else
					yAttacher = maxY;
				end;
			elseif InputBinding.isPressed(InputBinding.Support_DOWN) then
				if yAttacher > minY then
					yAttacher = yAttacher - moveSpeed;
				else
					yAttacher = minY;
				end;
			end;
		setTranslation(self.moveableSupport.index, xAttacher, yAttacher, zAttacher);
	end;
				
end;

function BugradAni:onLeave()

end;

function BugradAni:draw()

end;

function BugradAni:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

